<?php

$mailcampConfig = [
	'url' 			=> get_option('mailcamp_api_url'), 
	'admin_user' 	=> get_option('mailcamp_admin'), 
	'admin_token' 	=> get_option('mailcamp_admin_token'), 
	'username' 		=> get_option('mailcamp_user'),
	'token' 		=> get_option('mailcamp_user_token'),
	'encrypted' 	=> get_option('mailcamp_encrypted'),
];

if($mailcampConfig['encrypted']):
	if(!empty($mailcampConfig['url'])):
		$mailcampConfig['url'] 					= mailcamp_encrypt($mailcampConfig['url'], false);
	endif;
	if(!empty($mailcampConfig['admin_user'])):
		$mailcampConfig['admin_user'] 			= mailcamp_encrypt($mailcampConfig['admin_user'], false);
	endif;
	if(!empty($mailcampConfig['admin_token'])):
		$mailcampConfig['admin_token'] 			= mailcamp_encrypt($mailcampConfig['admin_token'], false);
	endif;
	if(!empty($mailcampConfig['token'])):
		$mailcampConfig['token'] 				= mailcamp_encrypt($mailcampConfig['token'], false);
	endif;
	if(!empty($mailcampConfig['username'])):
		$mailcampConfig['username'] 			= mailcamp_encrypt($mailcampConfig['username'], false);
	endif;
endif;