<?php


// Site
function mailcampToSidebar(){
  add_menu_page(
      'Mailcamp'		,	// page_title
      'Mailcamp',			// menu_title
      'manage_options',		// capability: Minimum capability to view the menu.
      'Mailcamp',			// menu_slug: Unique name used as a slug for menu item.
      function(){
		  include(__DIR__ . '/../admin/views/mailcamp.php');
	  },	// Function to show content
	  plugin_dir_url( __DIR__) . '/assets/img/favicon.png',	// Icon
  );
	
  add_submenu_page(
      'Mailcamp',				// parent_slug: Slug of the parent menu item.
      'Mailcamp login',			// page_title
      'Mailcamp login',			// menu_title
      'manage_options',			// capability: Minimum capability to view the menu.
      'MailcampLogin',				// menu_slug: Unique name used as a slug for menu item.
      function(){
		  include(__DIR__ . '/../admin/views/mailcamp.autologin.php');
	  },	// Function to show content
  );
} 

add_action('admin_menu', 'mailcampToSidebar');

function mailcampToSidebar_custom_script() {
    ?>
    <script type="text/javascript">
        jQuery(document).ready( function($) {
            $( "ul#adminmenu a[href$='admin.php?page=MailcampLogin'], .page-mailcamp a[href$='admin.php?page=MailcampLogin']" ).attr( 'target', '_blank' );
        });
    </script>
    <?php
}
add_action( 'admin_head', 'mailcampToSidebar_custom_script' );


function load_view() {
    include(dirname(__FILE__).'/views/'.$this->filename.'.php');
}