<?php
ini_set('display_errors', 0);

$output = [
	'success' => false,
	'message' => '',
];

$connectionData 	= $_POST['connectionData'];
$connectionSettings = [];
foreach($connectionData as $connectionSetting):
	$connectionSettings[$connectionSetting['name']] = $connectionSetting['value'];
endforeach;

$xml = '<xmlrequest>
			<username>'.$connectionSettings['mailcamp_user'].'</username>
			<usertoken>'.$connectionSettings['mailcamp_user_token'].'</usertoken>
			<requesttype>authentication</requesttype>
			<requestmethod>xmlapitest</requestmethod>
			<details>
			</details>
		</xmlrequest>';

$ch = curl_init($connectionSettings['mailcamp_api_url']);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, $xml);
$response = curl_exec($ch);
curl_close($ch);

$xml_doc = simplexml_load_string($response);

$output['success'] 	= ((string) $xml_doc->status[0] == "SUCCESS");
$output['data'] 	= (array) $xml_doc->data[0];

if($output['success']):
	
		$xml = '<xmlrequest>
					<username>'.$connectionSettings['mailcamp_user'].'</username>
					<usertoken>'.$connectionSettings['mailcamp_user_token'].'</usertoken>
					<requesttype>user</requesttype>
					<requestmethod>GetLists</requestmethod>
					<details>
						<lists />
						<countonly>false</countonly>
						<confirmedonly>true</confirmedonly>
						<sortinfo>
							<SortBy>createdate</SortBy>
							<Direction>asc</Direction>
						</sortinfo>
						<start>0</start>
						<perpage>all</perpage>
					</details>
				</xmlrequest>';
		$ch = curl_init($connectionSettings['mailcamp_api_url']);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $xml);
		$responseLists = curl_exec($ch);
		curl_close($ch);
		$xml_doc = simplexml_load_string($responseLists);

		$listAmount = 0;
		if(isset($xml_doc->data[0])){
			foreach($xml_doc->data[0] as $item){
				$listAmount++;
			}
		}
endif;

if($output['success']):
	$output['message'] = '
	<div id="mailcamp_message" class="updated notice notice-success is-dismissible">
		<p>Connection is valid! '.$listAmount.' mailing lists were found</p>
	</div>';
else:
	$output['message'] = '
	<div id="mailcamp_message" class="notice notice-error is-dismissible">
		<p>Connection is invalid!</p>
	</div>';
endif;


echo json_encode($output);