<?php
global $mailcampConfig;
	
        $api_user  	= $mailcampConfig['admin_user'];
        $api_url  	= $mailcampConfig['url'];
        $api_token  = $mailcampConfig['admin_token'];

        $username   = $mailcampConfig['username'];
        $ipaddress  = $_SERVER['REMOTE_ADDR'];

        
        $xml_data = "
        <xmlrequest>
            <username>".$api_user."</username>
            <usertoken>".$api_token."</usertoken>
            <requesttype>user</requesttype>
            <requestmethod>CreateAutologinToken</requestmethod>
            <details>
                <username>".$username."</username>
                <ipaddress>".$ipaddress."</ipaddress>
            </details>
        </xmlrequest>
        ";

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $api_url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_FAILONERROR, true);
        curl_setopt($ch, CURLOPT_POST, true);
        if (!ini_get('safe_mode') && ini_get('open_basedir') == '') {
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        }
        curl_setopt($ch, CURLOPT_TIMEOUT, 10);

        curl_setopt($ch, CURLOPT_POSTFIELDS, 'xml=' . $xml_data);

        $xmlResponse = curl_exec($ch);

        if (!$xmlResponse) {
            echo "Error!: " . curl_error($ch);
            echo "\n";
            exit;
        }
        curl_close($ch);

        $data = simplexml_load_string($xmlResponse);
//        pr([$xml_data, $data]);
//		exit;
//        pr($data->data);
        //echo $pageData . "\n";
        if($data->status == 'SUCCESS'){
//			echo "https://mailing.yelloobox.com/autologin.php?username=".$username."&token=".$data->data;
//			exit;
?>
<!doctype html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <title>YellooBox mailer powered by Mailcamp</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="robots" content="noindex,nofollow" />

	<link href="/yelloobox-backend/favicon.ico" rel="icon" type="image/x-icon">
	<link href="/yelloobox-frontend/bootstrap/4.x/dist/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
	<link href="/yelloobox-frontend/fontawesome/5.x/css/all.min.css" rel="stylesheet" type="text/css" />
	<meta http-equiv="refresh" content="0; url=<?php
            echo ("https://mailing.yelloobox.com/autologin.php?username=".$username."&token=".$data->data);
?>">
	
<style>
	body {
		display: flex;
		min-height: 100vh;
	}	
	
	.loader {
		margin: auto;
		width: 50px;
		height: 50px;
	}
</style>
</head>
<body class="text-center">

<div class="loader">
  <i class="fas fa-spinner fa-3x fa-spin"></i>
</div>	
</body>
</html>
<?php
//            $cl_base->locatie("https://mailing.yelloobox.com/autologin.php?username=".$username."&token=".$data->data, true);
            exit;
        }
?>